> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 모델 생성

> 새 모델을 생성합니다.



## OpenAPI

````yaml /ko/serverless-training/api-reference/openapi.json post /v1/preview/models
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers: []
security: []
paths:
  /v1/preview/models:
    post:
      tags:
        - models
      summary: 모델 생성
      description: 새 모델을 생성합니다.
      operationId: create_model_v1_preview_models_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelCreate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelResponse'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBearer: []
components:
  schemas:
    ModelCreate:
      description: 새 모델을 생성하기 위한 스키마입니다.
      properties:
        base_model:
          description: 파인튜닝에 사용할 base model 식별자 또는 HuggingFace 모델 경로
          examples:
            - OpenPipe/Qwen3-14B-Instruct
          title: Base Model
          type: string
        entity:
          anyOf:
            - type: string
            - type: 'null'
          description: 사용 중인 W&B API 키의 개발자 팀 또는 사용자 이름
          examples:
            - my-team
          title: Entity
        name:
          description: 프로젝트 내에서 모델을 고유하게 식별하는 이름
          examples:
            - my-awesome-model
          title: Name
          type: string
        project:
          description: 모델이 저장될 W&B 프로젝트 이름
          examples:
            - my-awesome-project
          title: Project
          type: string
        return_existing:
          default: false
          description: true이면 새 모델을 생성하는 대신, 같은 이름의 모델이 이미 존재할 경우 해당 기존 모델을 반환합니다.
          title: Return Existing
          type: boolean
      required:
        - project
        - name
        - base_model
      title: ModelCreate
      type: object
    ModelResponse:
      description: 모델 응답용 스키마입니다.
      properties:
        base_model:
          title: Base Model
          type: string
        entity:
          title: Entity
          type: string
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        project:
          title: Project
          type: string
        run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Id
      required:
        - id
        - entity
        - project
        - name
        - base_model
      title: ModelResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````